2018-12-16 06:11 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000153Branch 0.2.1-FINALBugpublic2016-11-23 10:11
Reporteruser13 
Assigned Touser13 
PriorityhighSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformApache 2.2.x - mod_php 5.2.x OSWindows Vista Ultimate x64 SP1 OS VersionVista with SP1
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000153: Fehlerhafte registrierung von ext-imprint
DescriptionKlickt man nach dem registrieren von ext-imprint auf irgendwas so kommt diese Fehlermeldung. Cache gelöscht => macht keinen unterschied.
Additional InformationMessage:errno=8,errstr=Undefined index: username,errfile=wrapper-functions.php,errline=678
Backtrace:
$0 debug_report_bug(errno=8,errstr=Undefined index: username,errfile=wrapper-functions.php,errline=678) called at [G:\InternetProjekte\mailtausch\inc\handler.php:55]
$1 __errorHandler(8, Undefined index: username, G:\InternetProjekte\mailtausch\inc\wrapper-functions.php, 678, Array ()) called at [G:\InternetProjekte\mailtausch\inc\wrapper-functions.php:678]
$2 getUsername() called at [G:\InternetProjekte\mailtausch\inc\functions.php:264]
$3 loadTemplate(page_header, , Array ([header_title] => [-- Lokaler Testmailer - !LANG_UNKNOWN_MODULE! () --])) called at [G:\InternetProjekte\mailtausch\inc\header.php:54]
$4 include(G:\InternetProjekte\mailtausch\inc\header.php) called at [G:\InternetProjekte\mailtausch\inc\inc-functions.php:124]
$5 loadInclude(inc/header.php) called at [G:\InternetProjekte\mailtausch\inc\inc-functions.php:138]
$6 loadIncludeOnce(inc/header.php) called at [G:\InternetProjekte\mailtausch\inc\functions.php:2271]
$7 app_die(debug_report_bug, 2656, Note: Unsupported cache imprint detected.

Please report this bug at http://bugs.mxchange.org and include the logfile from inc/cache/debug.log in your report (you can now attach files):

functions.php:2639, debug_get_printable_backtrace(0)

cachesystem.class.php:187, debug_report_bug(1)

load_cache-impressum.php:65, addRow(1)

inc-functions.php:124, include(1)

inc-functions.php:138, loadInclude(1)

inc-functions.php:101, loadIncludeOnce(1)

load_cache.php:70, loadIncludePool(1)

inc-functions.php:124, include(1)

inc-functions.php:138, loadInclude(1)

mysql-connect.php:103, loadIncludeOnce(1)

inc-functions.php:124, include(1)

inc-functions.php:138, loadInclude(1)

config-global.php:102, loadIncludeOnce(1)

modules.php:53, require(1)


Request-URI: /modules.php?module=admin&action=login

Thank you for finding bugs.) called at [G:\InternetProjekte\mailtausch\inc\functions.php:2656]
$8 debug_report_bug(Unsupported cache imprint detected.) called at [G:\InternetProjekte\mailtausch\inc\classes\cachesystem.class.php:187]
$9 CacheSystem->addRow(Array ([imprint_id] => 1,[imprint_key] => company,[imprint_value] => )) called at [G:\InternetProjekte\mailtausch\inc\loader\load_cache-impressum.php:65]
$10 include(G:\InternetProjekte\mailtausch\inc\loader\load_cache-impressum.php) called at [G:\InternetProjekte\mailtausch\inc\inc-functions.php:124]
$11 loadInclude(inc/loader/load_cache-impressum.php) called at [G:\InternetProjekte\mailtausch\inc\inc-functions.php:138]
$12 loadIncludeOnce(inc/loader/load_cache-impressum.php) called at [G:\InternetProjekte\mailtausch\inc\inc-functions.php:101]
$13 loadIncludePool(cache) called at [G:\InternetProjekte\mailtausch\inc\load_cache.php:70]
$14 include(G:\InternetProjekte\mailtausch\inc\load_cache.php) called at [G:\InternetProjekte\mailtausch\inc\inc-functions.php:124]
$15 loadInclude(inc/load_cache.php) called at [G:\InternetProjekte\mailtausch\inc\inc-functions.php:138]
$16 loadIncludeOnce(inc/load_cache.php) called at [G:\InternetProjekte\mailtausch\inc\mysql-connect.php:103]
$17 include(G:\InternetProjekte\mailtausch\inc\mysql-connect.php) called at [G:\InternetProjekte\mailtausch\inc\inc-functions.php:124]
$18 loadInclude(inc/mysql-connect.php) called at [G:\InternetProjekte\mailtausch\inc\inc-functions.php:138]
$19 loadIncludeOnce(inc/mysql-connect.php) called at [G:\InternetProjekte\mailtausch\inc\config-global.php:102]
$20 require(G:\InternetProjekte\mailtausch\inc\config-global.php) called at [G:\InternetProjekte\mailtausch\modules.php:53]
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000405

user13

Scheint irgend ein Fehler mit der benutzung von cache und dieser Erweiterung. Nach dem rauslöschen aus der DB (mxchange_extensions) hats nur mit leerem cache wieder funktioniert.

~0000407

Quix0r (administrator)

Hab gleich beide fixen koennen. Erstmal war wohl $GLOBALS['username'] nicht gesetzt, er verwendet nun getMessage('USERNAME_GUEST') als Default-Wert, dann musste der Support fuer den Cache eingebaut werden.

Revision 1604 enthaelt erstmal einen Fix. Allerdings sollte der Part flexibler gestaltet werden, z.B. mit Callback-Funktionen oder dergleichen.

~0000488

Quix0r (administrator)

Sollte nun auch nicht vorkommen.

~0000711

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-11-27 20:10 user13 New Issue
2009-11-27 20:14 user13 Note Added: 0000405
2009-11-27 20:38 Quix0r Additional Information Updated
2009-11-29 02:46 Quix0r Status new => assigned
2009-11-29 02:46 Quix0r Assigned To => Quix0r
2009-11-29 02:46 Quix0r Note Added: 0000407
2009-11-29 02:46 Quix0r Assigned To Quix0r => user13
2009-11-29 02:46 Quix0r Status assigned => feedback
2010-05-28 16:27 Quix0r Build SVN-1597 => 0.2.1-FINAL
2010-05-28 16:34 Quix0r Product Version => 0.2.1-FINAL
2010-08-25 20:54 Quix0r Note Added: 0000488
2010-08-25 20:54 Quix0r Status feedback => resolved
2010-08-25 20:54 Quix0r Fixed in Version => 0.2.1-FINAL
2010-08-25 20:54 Quix0r Resolution open => fixed
2016-11-23 10:11 Quix0r Note Added: 0000711
2016-11-23 10:11 Quix0r Status resolved => closed
+Issue History